#!/bin/sh
#
#  Ensure the chroot has /dev/zero
#
# Steve
# --


#
#  Get the root of the chroot.
#
prefix=$1

#
#  Ensure it exists.
#
if [ ! -d "${prefix}" ]; then
  echo "Serious error - the named directory doesn't exist."
  exit
fi

#
#  Ensure we have /dev
#
if [ ! -d "${prefix}/dev" ]; then
    mkdir "${prefix}/dev"
fi


#
#  Create the node
#
if [ !  -e "${prefix}/dev/null" ]; then
    mount -t devfs none "${prefix}/dev"
    devfs -m "${prefix}/dev" rule apply hide
    devfs -m "${prefix}/dev" rule apply path null unhide
fi

if [ !  -e "${prefix}/dev/zero" ]; then
    devfs -m "${prefix}/dev" rule apply path zero unhide
fi

if [ !  -e "${prefix}/dev/random" ]; then
    devfs -m "${prefix}/dev" rule apply path random unhide
fi
if [ !  -e "${prefix}/dev/urandom" ]; then
    devfs -m "${prefix}/dev" rule apply path urandom unhide
fi
